Bug 643311 - PATCH: spice-core: fix watching for write events
PATCH: spice-core: fix watching for write events
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 05:06 EDT by Hans de Goede
Modified: 2013-01-09 18:14 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 07:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PATCH: spice-core: fix watching for write events (753 bytes, patch)
2010-10-15 05:06 EDT, Hans de Goede
no flags Details | Diff
PATCH: spice: fix watching for write events (750 bytes, patch)
2011-02-13 11:41 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2010-10-15 05:06:23 EDT
Created attachment 453682 [details]
PATCH: spice-core: fix watching for write events

Hi,

Please include this patch in the next qemu build for F-14. If no build is done before GA, please do a build with just this patch. This fixes a few nasty hangs in qemu + spice virtual machines with Linux as guest.

Thanks,

Hans
Comment 1 Gerd Hoffmann 2010-10-15 06:06:10 EDT
Patch submitted upstream:
http://patchwork.ozlabs.org/patch/67913/
Comment 2 Justin M. Forbes 2010-10-19 00:00:52 EDT
Not sure what you are patching, since that file doesn't exist in F14 qemu.  I will take a look at backporting, but it will have to be as a zero day update.  In the meantime, the F14 qemu tree is at http://git.fedorahosted.org/git/qemu-kvm-fedora.git
Comment 3 Hans de Goede 2010-10-19 04:03:28 EDT
(In reply to comment #2)
> Not sure what you are patching, since that file doesn't exist in F14 qemu.

Ah, oopsee, the code in question is in spice.c in F14 qemu, other then the file name difference the patch should apply unmodified.

Thanks,

Hans
Comment 4 Hans de Goede 2011-02-13 11:41:17 EST
Created attachment 478491 [details]
PATCH: spice: fix watching for write events

Hi,

I just ran into this again while testing a F14 spice update. Can we please get
this fixed? This makes us (spice) look rather bad. If a user takes the trouble
to install spice-agent and attempts to copy paste between guest and client, qemu
will hang with 100% cpu usage because of this bug.

Here is a git format-patch fromatted patch to be applied on the F-14 branch of:
http://git.fedorahosted.org/git/?p=qemu-kvm-fedora.git

If it is ok with you I can prepare an F-14 qemu update myself and build and submit it to bodhi. While at it I can also tackle any other easy bugs / bugs with valid patches if there are any (you will need to point them out to me).

Would that be ok?

Regards,

Hans
Comment 5 Hans de Goede 2012-04-16 07:54:19 EDT
Fedora 14 has gone eol in the mean time, so this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.